nutch-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (Jira)" <j...@apache.org>
Subject [jira] [Commented] (NUTCH-2836) Upgrade various commons dependencies
Date Sun, 20 Dec 2020 05:21:00 GMT

    [ https://issues.apache.org/jira/browse/NUTCH-2836?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=17252318#comment-17252318
] 

ASF GitHub Bot commented on NUTCH-2836:
---------------------------------------

lewismc opened a new pull request #559:
URL: https://github.com/apache/nutch/pull/559


   PR addresses https://issues.apache.org/jira/browse/NUTCH-2836
   I looked for deprecation and none exists.
   All tests pass locally. 
   3 rounds of crawling executed with >15k seed list. No issues were observed. 


----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
users@infra.apache.org


> Upgrade various commons dependencies
> ------------------------------------
>
>                 Key: NUTCH-2836
>                 URL: https://issues.apache.org/jira/browse/NUTCH-2836
>             Project: Nutch
>          Issue Type: Improvement
>          Components: build
>    Affects Versions: 1.18
>            Reporter: Lewis John McGibbney
>            Assignee: Lewis John McGibbney
>            Priority: Major
>             Fix For: 1.18
>
>
> I ended up taking a look at some other dependencies. Specifically the following
> {code}
> 		<dependency org="org.apache.commons" name="commons-lang3" rev="3.8.1" conf="*->default"
/>
> 		<dependency org="org.apache.commons" name="commons-collections4" rev="4.2" conf="*->master"
/>
> 		<dependency org="org.apache.httpcomponents" name="httpclient" rev="4.5.6" conf="*->master"
/>
> 		<dependency org="commons-codec" name="commons-codec" rev="1.11" conf="*->default"
/>
> 		<dependency org="org.apache.commons" name="commons-compress" rev="1.18" conf="*->default"
/>
> {code}
> Some of them can be upgraded... I'll go ahead and do that right now.



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message